## org.eclipse.datatools.connectivity.oda.design
Interface DataElementIdentifier

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface DataElementIdentifier

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Data Element Identifier'. Identifies a data element by name and/or position.

The following features are supported:

- `Name`
- `Position`

Since:
  3.3.2
See Also:
  `DesignPackage.getDataElementIdentifier()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`int` `getPosition()` Returns the value of the 'Position' attribute.
`boolean` `isSetPosition()` Returns whether the value of the '`Position`' attribute is set.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` `setPosition(int value)` Sets the value of the '`Position`' attribute.
`void` `unsetPosition()` Unsets the value of the '`Position`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute. A name that uniquely identifies a data element. If a data element can only be identified by position, this name may be empty.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `DesignPackage.getDataElementIdentifier_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getPosition

    int getPosition()

  Returns the value of the 'Position' attribute. The 1-based index position (left-to-right order) within a collection of data elements. The position is defined per the underlying data source, and is not necessarily sequential. For example, a query may access 3 columns in a result set, but the data access design may choose to expose only column 2. In this case, only one column element with postion 2 is defined in the result set definition.

  Returns:
    the value of the 'Position' attribute.
  See Also:
    `isSetPosition()`, `unsetPosition()`, `setPosition(int)`, `DesignPackage.getDataElementIdentifier_Position()`

### setPosition

    void setPosition(int value)

  Sets the value of the '`Position`' attribute.

  Parameters:
    `value` - the new value of the 'Position' attribute.
  See Also:
    `isSetPosition()`, `unsetPosition()`, `getPosition()`

### unsetPosition

    void unsetPosition()

  Unsets the value of the '`Position`' attribute.

  See Also:
    `isSetPosition()`, `getPosition()`, `setPosition(int)`

### isSetPosition

    boolean isSetPosition()

  Returns whether the value of the '`Position`' attribute is set.

  Returns:
    whether the value of the 'Position' attribute is set.
  See Also:
    `unsetPosition()`, `getPosition()`, `setPosition(int)`